> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Sessions

> Retrieves the details of all billing sessions.



## OpenAPI

````yaml /api-reference/onetimepayments/sessions.json post /billingSession/v1.0/getAllBillingSession
openapi: 3.0.3
info:
  title: Payment API
  description: API for creating and managing payment sessions and payments.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /billingSession/v1.0/getAllBillingSession:
    post:
      tags:
        - Sessions
      summary: Get All Sessions
      description: Retrieves the details of all billing sessions.
      operationId: getAllBillingSessions
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                customerId:
                  type: string
                  description: >-
                    Customer ID can be passed to get the sessions of a
                    particular customer.
                billingSessionId:
                  type: string
                  description: Session ID can also be passed here to filter the sessions.
                filter:
                  type: object
                  description: Different filters can be applied to query the sessions.
                  properties:
                    fromDate:
                      type: string
                      format: date
                      description: Start date for filtering sessions.
                    toDate:
                      type: string
                      format: date
                      description: End date for filtering sessions.
                    email:
                      type: string
                      description: To filter according to the customer's email.
                    status:
                      type: array
                      description: To filter according to the status of the session.
                      items:
                        type: string
                        enum:
                          - CREATED
                          - STARTED
                          - CLOSED
                          - EXPIRED
                          - FAILED
                page:
                  type: integer
                  minimum: 1
                  default: 1
                  description: >-
                    To use for pagination. The default value is 1 and the
                    accepted value is only greater than or equal to 1.
      responses:
        '200':
          description: Payment details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllBillingSessions'
components:
  schemas:
    GetAllBillingSessions:
      type: object
      properties:
        status:
          type: string
          description: Status response
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: array
          description: All the sessions
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.